Subject: Tcsh and rxvt
From: Frank Schmitt <[email-masked]>
To: [email-masked]
Date: Fri, 01 Feb 2002 00:46:20 +0100
Newsgroups: gmane.os.cygwin

Hey all.

I don't really know if this is Cygwin specific, but I run into strange
problems with tcsh under rxvt (both updated yesterday, together with all
other packages).

First problem: It seems that the man page for rxvt is broken. The names
of the colors (the content of the missing file rgb.txt which is
mentioned in the manpage) aren't included and "M-x manual-entry ret
rxvt" in my XEmacs says

/usr/bin/tbl:./rxvt.tbl:244: `.' not last character on line
/usr/bin/tbl:./rxvt.tbl:244: giving up on this table
/usr/bin/tbl:./rxvt.tbl:663: `.' not last character on line
/usr/bin/tbl:./rxvt.tbl:663: giving up on this table
1(RXVT)                      X Tools                      1(RXVT)

Number two: I've got problems with ANSII colors. I say 
set prompt="%{\033[32m%}[%{\033[33m%}%~%{\033[32m%}]%{\033[0m%}$ "
but in rxvt colors are much too bright. The brown is yellow, it just
sucks. In cmd.exe all looks ok.

Number three: If I say 
set prompt="%{\033[32m%}[%{\033[33m%}%~%{\033[32m%}]%{\033[0m%}\n$ "
so that it looks even more like the Cygwin default bash shell, I get
strange behavior, e.g the home key which works nice normally now results
in a newline and backspace doesn't work, too.
 
My ~/.tcshrc at the moment consists only of 
set color
set colorcat
set prompt="%{\033[32m%}[%{\033[33m%}%~%{\033[32m%}]%{\033[0m%}$ "

I start rxvt from bash (running in cmd.exe) with 
rxvt -fn fixedsys -fb fixedsys -pixmap Angler.xpm -sr -fg 7 -tn rxvt -e /usr/bin/tcsh.exe -l &

in rxvt set returns

[~]$ set
_       
addsuffix       
argv    ()
autocorrect     1
autolist        ambiguous
color   
colorcat        
complete        enhance
correct cmd
cwd     /home/fschmitt
dirstack        /home/fschmitt
echo_style      both
edit    
ellipsis        
fignore (.o ~)
gid     513
group   Kein
histdup erase
history 100
home    /home/fschmitt
hosts   
killring        30
listjobs        long
listmaxrows     23
loginsh 
noglob  
notify  1
owd     /home/fschmitt
path    (/usr/local/bin /usr/bin /bin /usr/local/bin /usr/bin /bin 
        /d/WINDOWS/system32 /d/WINDOWS /d/WINDOWS/System32/Wbem 
        /c/PROGRA~1/ULTRAE~1 /usr/bin /usr/bin /usr/bin /usr/local/lib 
        /usr/local/bin /c/Programme/XEmacs/XEmacs-21.4.6 
        /c/Programme/aspell/aspell)
prompt  %{\033[32m%}[%{\033[33m%}%~%{\033[32m%}]%{\033[0m%}$ 
prompt2 %R? 
prompt3 CORRECT>%R (y|n|e|a)? 
rmstar  1
savehist        (100 merge)
shell   /usr/bin/tcsh
shlvl   1
showdots        1
status  0
symlinks        expand
tcsh    6.11.00
term    rxvt
tty     tty2
uid     500
user    Administrator
version tcsh 6.11.00 (Astron) 2001-09-02 (i386-intel-posix) options 8b,dl,al,rh,

under cmd.exe it#s the same except that term=cygwin i

-- 
One Ring to rule them all, One Ring to find them,
One Ring to bring them all and in the darkness bind them
In the Land of Mordor where the Shadows lie.
19. Dezember 2001

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/